"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const zlib_1 = require("zlib");
const compression_type_1 = __importDefault(require("./compression-type"));
/**
 * Compresses the given buffer using the giving algorithm.
 *
 * @param buffer Buffer to compress
 * @param compression Compression algorithm to use
 */
function compressBuffer(buffer, compression) {
    switch (compression) {
        case compression_type_1.default.ZLIB:
            return (0, zlib_1.deflateSync)(buffer);
        case compression_type_1.default.Uncompressed:
        // fallthrough
        case compression_type_1.default.DeletedRecord:
            return buffer;
        default:
            throw new Error(`Compressing with "${compression} (${compression_type_1.default[compression]})" is not supported.`);
    }
}
exports.default = compressBuffer;
